#
# spec file for package orc (Version 0.4.6)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2010 Dominique Leuenberger, Amsterdam, Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           orc
Version:        0.4.6
Release:        2.1
License:        BSD and Motorola License (please mark changes)
Summary:        The Oil Runtime Compiler
Url:            http://code.entropywave.com/projects/orc/
Group:          Productivity/Multimedia/Other
Source:         %{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM orc-asneeded.patch dimstar@opensuse.org -- Fix build by properly linking the library with libm.
BuildRequires:  gtk-doc
BuildRequires:  pkg-config
Provides:       %{name}-devel = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Orc is a library and set of tools for compiling and executing very simple
programs that operate on arrays of data.  The “language” is a generic
assembly language that represents many of the features available in SIMD
architectures, including saturated addition and subtraction, and many
arithmetic operations.

%package -n liborc-0_4-0
License:        BSD and Motorola License (please mark changes)
Summary:        The Oil Runtime Compiler Library
Group:          System/Libraries

%description -n liborc-0_4-0
Orc is a library and set of tools for compiling and executing very simple
programs that operate on arrays of data.  The “language” is a generic
assembly language that represents many of the features available in SIMD
architectures, including saturated addition and subtraction, and many
arithmetic operations.

%package doc
License:        BSD and Motorola License (please mark changes)
Summary:        The Oil Runtime Compiler Library - Documentation
Group:          Documentation/HTML

%description doc
Orc is a library and set of tools for compiling and executing very simple
programs that operate on arrays of data.  The “language” is a generic
assembly language that represents many of the features available in SIMD
architectures, including saturated addition and subtraction, and many
arithmetic operations.

%prep
%setup -q

%build
%configure \
    --disable-static \
    --enable-gtk-doc
%{__make} %{?jobs:-j%jobs}

%install
%makeinstall
# These are some examples that seem not to make sense to be distributed
rm -rf %{buildroot}%{_libdir}/orc
# Remove libtool archives
find %{buildroot}%{_libdir} -name '*.la' -delete -print

%clean
rm -rf %{buildroot}

%post -n liborc-0_4-0 -p /sbin/ldconfig

%postun -n liborc-0_4-0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/orc-bugreport
%{_bindir}/orcc
%{_includedir}/orc-0.4
%{_libdir}/*.so
%{_libdir}/pkgconfig/orc-0.4.pc

%files doc
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/orc

%files -n liborc-0_4-0
%defattr(-,root,root)
%{_libdir}/liborc*-0.4.so.*

%changelog
* Fri Aug  6 2010 vuntz@opensuse.org
- Update to version 0.4.6:
  + Various fixes to make Orc more portable
  + Major performance improvements to NEON backend
  + Minor performance improvements to SSE backend
  + Major improvements to ARM backend, now passes regression tests.
  + The defaults for floating point operations have been changed
    somewhat: NANs are handled more like the IEEE 754 standard, and
    denormals in operations are treated as zeros. The NAN changes
    causes certain SSE operations to be slightly slower, but produce
    less surprising results. Treating denormals as zero has effects
    ranging from “slightly faster” to “now possible”.
  + New tool: orc-bugreport. Mainly this is to provide a limited
    testing tool in the field, especially for embedded targets
    which would not have access to the testsuite that is not
    installed.
  + The environment variable ORC_CODE can now be used to adjust
    some code generation. See orc-bugreport -help for details.
  + orcc has a new option to generate code that is compatible with
    older versions of Orc.
  + New NEON detection relies on Linux 2.6.29 or later.
- Changes from version 0.4.5:
  + Many small improvements related to converting GStreamer from
    liboil to Orc.
  + The major addition in this release is the mainstreaming of
    the NEON backend, made possible by Nokia.
  + There is a new experimental option to ./configure,
  - -enable-backend, which allows you to choose a single code
    generation backend to include in the library. This is mostly
    useful for embedded systems, and is not recommended in general.
- Do not call autogen.sh and remove workaround for doc generation.
* Tue May 25 2010 chris@computersalat.de
- update to version 0.4.4
  o remove obsolete orc-asneeded.patch
* Wed Mar 17 2010 dimstar@opensuse.org
- Initial package of orc 0.4.3
